#pragma once

#include "LKFAufenthaltChild.h"

using namespace System;
using namespace System::Runtime::InteropServices;

namespace lkfxdok {
	namespace c {

		ref class LKFAbtScoring;

		public ref class LKFAufenthaltAbteilung : public LKFAufenthaltChild
		{
		internal:
			LKFAufenthaltAbteilung(LKFAufenthalt ^aufenthalt, unsigned int index);
		public:
			property String ^Line {
				String ^get(void);
			}

			LKFAbtScoring ^GetScoring();
			long GetBD();

		};
	}
}

